Bug 8148 - Port submissions process to OJS
Port submissions process to OJS
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Submissions and Publishing
3.0a
All All
: P3 normal
Assigned To: PKP Support
: 6337 6455 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-06 07:31 PST by Jason Nugent
Modified: 2014-05-12 12:10 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Nugent 2013-03-06 07:31:13 PST

    
Comment 1 Jason Nugent 2013-03-06 07:35:03 PST
rename file constants
https://github.com/pkp/omp/commit/cb741f6df92088a89d3e52e742eee30c0d97f4d8
Comment 2 Jason Nugent 2013-03-06 07:45:02 PST
move and rename file constants to pkp-lib
https://github.com/pkp/pkp-lib/commit/1c6c942d17db25651b9e44e37a16967b28f060f8
Comment 3 Jason Nugent 2013-03-06 07:50:02 PST
provide upgrade for file constant migration
https://github.com/pkp/ojs/commit/dd8bbdfc8f4ec6cf558b92078a1724aced4c7284
Comment 4 Jason Nugent 2013-03-06 07:50:02 PST
use new file constants
https://github.com/pkp/ojs/commit/2570d7df0bf2393c78fca864ae669c2e3307dc81
Comment 5 Jason Nugent 2013-03-07 10:40:03 PST
move Genre and related files to pkp-lib
https://github.com/pkp/pkp-lib/commit/0ff65c05d85d5183c0a98c90fe6a5b3c898bdfa9
Comment 6 Jason Nugent 2013-03-07 10:45:02 PST
remove Genre classes from OMP
https://github.com/pkp/omp/commit/1611d917f9157fd1db70b368deb265fe20bbcbac
Comment 7 Jason Nugent 2013-03-07 10:45:03 PST
schema changes for genres
https://github.com/pkp/omp/commit/ce9f56cdb2ba74005ef409094a275270c98713e6
Comment 8 Jason Nugent 2013-03-07 10:45:03 PST
use new genre context methods instead
https://github.com/pkp/omp/commit/9deb1c27b1f59fd2b13ed601806716cfd04a4123
Comment 9 Jason Nugent 2013-03-07 10:45:03 PST
remove unused cataloging classes
https://github.com/pkp/omp/commit/6c1be23e6bfccad3b0f524a7b69d085c1d34308c
Comment 10 Jason Nugent 2013-03-08 07:15:02 PST
correct genre method on submission form
https://github.com/pkp/omp/commit/ca7e43e50b93dea4972ba3a99f68542ffd9fea1a
Comment 11 Jason Nugent 2013-03-08 10:40:02 PST
rename file constant assoc type and move to pkp-lib
https://github.com/pkp/pkp-lib/commit/410bc64f8e37112f42f812bde290df31bb34ecee
Comment 12 Jason Nugent 2013-03-08 10:40:03 PST
use new file assoc type constants from pkp-lib
https://github.com/pkp/omp/commit/f71466c5d468d060c83aa98d213cf1211f0d8133
Comment 13 Jason Nugent 2013-03-11 09:30:04 PDT
library file manager to PKP-lib
https://github.com/pkp/pkp-lib/commit/51f4f731842b2fa6f10c17e6325a9b48c3d1ee1b
Comment 14 Jason Nugent 2013-03-11 09:30:04 PDT
library and submission documents grids to PKP-lib
https://github.com/pkp/pkp-lib/commit/c81abf340d31d9e5d0e3fb841870b011fe007500
Comment 15 Jason Nugent 2013-03-11 09:40:03 PDT
replace library file and submission document grids with PKP-lib ones
https://github.com/pkp/omp/commit/f18342767a8feb6ecc7f62958ab4d877fd900bf1
Comment 16 Jason Nugent 2013-03-11 09:40:03 PDT
use pkp-lib library file and dao instead
https://github.com/pkp/omp/commit/f4cab443c6c01c79b72f9c809f6e64bda2bac5a6
Comment 17 Jason Nugent 2013-03-11 09:50:03 PDT
class path change
https://github.com/pkp/omp/commit/2a43f32d1455fc60154370fda9c074ab32196b1e
Comment 18 Jason Nugent 2013-03-11 09:50:03 PDT
schema tweaks for library files
https://github.com/pkp/omp/commit/ee33b73605436408b7715b459b147773a41b032d
Comment 19 Jason Nugent 2013-03-11 10:10:03 PDT
template parameter
https://github.com/pkp/omp/commit/e6c65df9d7f51141c6cf16783924ae271b7d61b5
Comment 20 Jason Nugent 2013-03-11 10:25:02 PDT
remove old library file manager class
https://github.com/pkp/omp/commit/840924f6cc3fb899bc6f84aab2518775757cf345
Comment 21 Jason Nugent 2013-03-11 11:15:02 PDT
refactor OMP file api handler
https://github.com/pkp/omp/commit/1504cabe684ef828f02b1aa183cf6e3ddb61eba1
Comment 22 Jason Nugent 2013-03-11 11:15:03 PDT
introduce base PKP file api handler class
https://github.com/pkp/pkp-lib/commit/669d0aba9b7caaffe6df4acebaa9580394ed4e14
Comment 23 Jason Nugent 2013-03-11 11:55:02 PDT
Download all files link action to PKP-lib
https://github.com/pkp/pkp-lib/commit/5a3896cfc2e06ba23a772c525a178cee6c95ddf8
Comment 24 Jason Nugent 2013-03-11 11:55:02 PDT
Files grid capabilities to PKP-lib
https://github.com/pkp/pkp-lib/commit/1dbad4c379b2c795729ad174c823360ceb0bdfa9
Comment 26 Jason Nugent 2013-03-11 11:55:03 PDT
remove old code
https://github.com/pkp/omp/commit/8b9195802da4667562fad65ef3104ef70ab72645
Comment 27 Jason Nugent 2013-03-12 09:35:03 PDT
rename method for fetching last revision round
https://github.com/pkp/omp/commit/ed540fa72aace093e1ea1d02a8f520c2832ff398
Comment 28 Jason Nugent 2013-03-12 09:35:03 PDT
introduce base PKP manage file api handler class
https://github.com/pkp/pkp-lib/commit/c54f2075b194d2e1e5458a0227b17a94dea19941
Comment 29 Jason Nugent 2013-03-12 09:35:03 PDT
refactor to use PKP-lib parent class
https://github.com/pkp/omp/commit/0140cfcf7563595eebc638550ac6fab16ea76b9e
Comment 30 Jason Nugent 2013-03-12 09:50:03 PDT
use PKP-lib file, delete file link actions
https://github.com/pkp/omp/commit/c64eb2cd12c252380daac3dc56b3e77fe367f836
Comment 31 Jason Nugent 2013-03-12 09:50:03 PDT
File link action, delete file link action, to PKP-lib
https://github.com/pkp/pkp-lib/commit/6f65d95787742dde01231b9bdbcf2c5b9ffee1ee
Comment 32 Jason Nugent 2013-03-12 10:05:01 PDT
use PKP-lib file genre column
https://github.com/pkp/omp/commit/2714085f8522a47f630b3062d3c945d823bcec13
Comment 34 Jason Nugent 2013-03-12 10:35:02 PDT
download file link action to PKP-lib
https://github.com/pkp/pkp-lib/commit/a899d5de4b43e4fd1a059ffc5dba6f6546ce5453
Comment 35 Jason Nugent 2013-03-12 11:45:02 PDT
introduce PKP file notes link action
https://github.com/pkp/pkp-lib/commit/96c6ccc0fcf6d5ce8d742b65291d01f26c1f51c2
Comment 36 Jason Nugent 2013-03-12 11:45:03 PDT
refactor to use pkp-lib file notes parent class
https://github.com/pkp/omp/commit/decfd5a4accc591ce4680867b2acb7545004091e
Comment 37 Jason Nugent 2013-03-13 05:05:03 PDT
use PKP-lib file name grid column
https://github.com/pkp/omp/commit/88a7dfdd7ac85992c3a2ed2c50d28c62ba608bac
Comment 38 Jason Nugent 2013-03-13 05:05:03 PDT
File name grid column to PKP-lib
https://github.com/pkp/pkp-lib/commit/0f3c7862fdaa0fcc43d4982c9eb670edcdf167ce
Comment 39 Jason Nugent 2013-03-13 05:25:02 PDT
introduce base PKP file info center link action
https://github.com/pkp/pkp-lib/commit/35bafae8cef5b5871ae6e28e64509424d8d37bdc
Comment 40 Jason Nugent 2013-03-13 05:25:02 PDT
use parent PKP file info center link action
https://github.com/pkp/omp/commit/1f1aab1a944058e524aebd8b0e2dda9e73548ca6
Comment 41 Jason Nugent 2013-03-13 05:30:03 PDT
Submission files grid row to PKP-lib
https://github.com/pkp/pkp-lib/commit/64705b925b3668fcab322d38896f1ce9396ed0fd
Comment 42 Jason Nugent 2013-03-13 05:35:02 PDT
use PKP-lib submission files grid row
https://github.com/pkp/omp/commit/5ee5875449e5631bac94f38f5c7459b3acbdd239
Comment 44 Jason Nugent 2013-03-13 06:15:02 PDT
base submission files grid handler to PKP-lib
https://github.com/pkp/pkp-lib/commit/051df7f484fe283ae1bec183f8b65c0a0ce48e0d
Comment 45 Jason Nugent 2013-03-13 06:15:03 PDT
use PKP submissions file grid handler
https://github.com/pkp/omp/commit/70d51a3a48ed83aa9989985ba26a5b4f7d83faee
Comment 46 Jason Nugent 2013-03-13 06:40:03 PDT
use PKP-lib file list grid handler
https://github.com/pkp/omp/commit/076b017ef20ce1b8d385a2dcbbd892511f3aa276
Comment 47 Jason Nugent 2013-03-13 06:40:03 PDT
File list grid handler to PKP-lib
https://github.com/pkp/pkp-lib/commit/f26b9d011e20aa7dfbac4f32ddda2ed194cdf634
Comment 48 Jason Nugent 2013-03-13 07:45:02 PDT
files grid data provider to PKP-lib
https://github.com/pkp/pkp-lib/commit/0addebb160adcd0e3618e4eef808fc78609c8be6
Comment 49 Jason Nugent 2013-03-13 07:45:03 PDT
use PKP-lib files grid data provider
https://github.com/pkp/omp/commit/67464bea282b84282ffb22c2871c3d1e7ee09968
Comment 50 Jason Nugent 2013-03-13 09:45:02 PDT
un-monograph PKPSubmissionFileDAO
https://github.com/pkp/pkp-lib/commit/827027acd147bd5196acba403115469b02a2aba4
Comment 51 Jason Nugent 2013-03-13 09:45:02 PDT
make row indexes more generic
https://github.com/pkp/omp/commit/1be47784ce99398205dfff5d7324ca7319b1260d
Comment 52 Jason Nugent 2013-03-13 10:35:02 PDT
schema for submission files to PKP-lib
https://github.com/pkp/pkp-lib/commit/de35c6dc03143ef27ec330da7769196a5cdd82a8
Comment 53 Jason Nugent 2013-03-13 10:35:02 PDT
submission files schema changes
https://github.com/pkp/omp/commit/d0290bb0fdee0229a0b320098bb8b85584eea90e
Comment 54 Jason Nugent 2013-03-14 06:05:02 PDT
introduce base PKP-lib file management handler
https://github.com/pkp/pkp-lib/commit/ba9cd030d8f121894cef2559dc022c77d89343f3
Comment 55 Jason Nugent 2013-03-14 06:10:02 PDT
refactor to use parent PKP-lib file management handler
https://github.com/pkp/omp/commit/7f5e496233ebe1f9ec527fb4c196cb80889ee366
Comment 56 Jason Nugent 2013-03-14 06:50:02 PDT
more notification constants to PKP-lib
https://github.com/pkp/omp/commit/f4d3cc8594c83e6c72b7eaa600d6bc20819faeff
Comment 57 Jason Nugent 2013-03-14 06:50:03 PDT
constants to PKP-lib
https://github.com/pkp/pkp-lib/commit/a2bd3e9a7986dd96d1a54f1d85d03ea8121e0d7d
Comment 58 Jason Nugent 2013-03-15 06:05:02 PDT
locale keys to PKP-lib
https://github.com/pkp/pkp-lib/commit/50b41044fbbad88d6a824d6820b4fd2524d21dd7
Comment 59 Jason Nugent 2013-03-15 06:05:03 PDT
add file link actions to PKP-lib
https://github.com/pkp/pkp-lib/commit/cfe3212bc28017541a5accf8f6b12c45ab234861
Comment 60 Jason Nugent 2013-03-15 06:20:03 PDT
use PKP add file link action
https://github.com/pkp/omp/commit/72cf496d4d3558c41065c73802ce5231eb64cbe7
Comment 61 Jason Nugent 2013-03-15 06:20:04 PDT
use PKP file upload wizard
https://github.com/pkp/omp/commit/16f6dfa32dd2cf51de7c797aee2b7c8f446fcfb9
Comment 62 Jason Nugent 2013-03-15 06:20:04 PDT
use PKP submission wizard files grid handler
https://github.com/pkp/omp/commit/9b0bc48215ca7c5da1e130d1269ce2cfd0ad850b
Comment 63 Jason Nugent 2013-03-15 06:20:04 PDT
locale keys to PKP-lib
https://github.com/pkp/omp/commit/e6959259839bafd95879ede3544cbe4c957ec449
Comment 64 Jason Nugent 2013-03-15 06:20:04 PDT
use parent PKP grid handler
https://github.com/pkp/omp/commit/1b0bc9b3db1992a1e8e034282b2890761cffaa74
Comment 65 Jason Nugent 2013-03-21 10:15:03 PDT
use PKP workflow stage policy
https://github.com/pkp/omp/commit/6110553034a1d5259b4bc5a590d857bd5d2e59c4
Comment 66 Jason Nugent 2013-03-21 11:40:03 PDT
move basic workflow stage access policy functionality to pkp-lib
https://github.com/pkp/pkp-lib/commit/e4df802ebe6bd8dbdd368dbd35fe7c5f4406aeff
Comment 67 Jason Nugent 2013-03-21 11:40:03 PDT
refactor workflow stage access policy
https://github.com/pkp/omp/commit/6bf4038c4a8a0fb57c0c70cdcb748d69560b3bd3
Comment 68 Jason Nugent 2013-03-22 09:00:04 PDT
bring over policy from OMP
https://github.com/pkp/pkp-lib/commit/82d36fb051970bef3c034343d8c3e9a335709b9e
Comment 69 Jason Nugent 2013-03-22 09:05:02 PDT
use PKP-lib base submission files grid handler
https://github.com/pkp/omp/commit/473f575ed0d2ae4c7c55f9ab6bf5eee84286251b
Comment 70 Jason Nugent 2013-03-22 09:05:02 PDT
use PKP-lib policy class
https://github.com/pkp/omp/commit/10918dd02101cfec03c864d331ef95a2c2805fea
Comment 71 Jason Nugent 2013-03-22 09:05:02 PDT
move policy class to PKP-lib
https://github.com/pkp/omp/commit/c338721b37c3c0e6f9636203ba0d4d9dfd9c980b
Comment 72 Jason Nugent 2013-03-22 10:15:02 PDT
use parent class for generic roles
https://github.com/pkp/omp/commit/c7293ce9d4d6e4ef77466cd1bfbcd8f006695d13
Comment 73 Jason Nugent 2013-03-22 10:20:03 PDT
introduce section editor rule for policies
https://github.com/pkp/ojs/commit/287fe0e24031efd053f15874b5f07f7a3dd4d119
Comment 74 Jason Nugent 2013-03-22 10:20:03 PDT
introduce workflow stage access policy
https://github.com/pkp/ojs/commit/488e887ee8ab502dc0f6da1929fd1cc9163bea05
Comment 75 Jason Nugent 2013-03-22 10:20:03 PDT
introduce accessible workflow stage required policy
https://github.com/pkp/ojs/commit/91b978bd8c7434a52c2dd209bf0976c149af3e62
Comment 76 Jason Nugent 2013-03-22 10:35:02 PDT
define OJS workflow stages
https://github.com/pkp/ojs/commit/a68d8995e0bd90367d1247cee81da5dee399408f
Comment 78 Jason Nugent 2013-03-22 10:50:02 PDT
refactor to parent class
https://github.com/pkp/omp/commit/00f0232256868f493a180f0e41be122f10af043f
Comment 79 Jason Nugent 2013-03-25 07:00:04 PDT
move Review Round DAO to PKP-lib
https://github.com/pkp/pkp-lib/commit/cb52ef856904937c2134eb694035a537238d30a8
Comment 80 Jason Nugent 2013-03-25 07:00:04 PDT
use PKP-lib Review Round DAO
https://github.com/pkp/omp/commit/daf206a9c440bdc8b39e79b5d0fd556828fe08dc
Comment 81 Jason Nugent 2013-03-25 07:15:02 PDT
review round required policy to PKP-lib
https://github.com/pkp/pkp-lib/commit/c7be5effdfb4613aa354c713a3f065f94a94faed
Comment 82 Jason Nugent 2013-03-25 07:15:02 PDT
use PKP-lib review round required policy
https://github.com/pkp/omp/commit/4d49c60355c366224de9137bdb59f430eaffffd0
Comment 83 Jason Nugent 2013-03-25 07:30:03 PDT
Submission required policy to PKP-lib
https://github.com/pkp/pkp-lib/commit/85a6f72cd95b9f1d7124842eab01ecdac180a223
Comment 84 Jason Nugent 2013-03-25 07:30:03 PDT
use Submission required policy from PKP-lib
https://github.com/pkp/omp/commit/85fac17f0d26767d15bfe808c470f39f9baf576f
Comment 85 Jason Nugent 2013-03-25 07:50:02 PDT
base submission file access policy to PKP-lib
https://github.com/pkp/pkp-lib/commit/36a6eaf0d2ee55fbb5f003aaa796f1c418fd8e2a
Comment 86 Jason Nugent 2013-03-25 07:55:01 PDT
use PKP-lib base submission file access policy
https://github.com/pkp/omp/commit/eec8c010349601ea05df30574fd9b7ce6bbbd82a
Comment 87 Jason Nugent 2013-03-25 09:05:02 PDT
submission files match submission policy to PKP-lib
https://github.com/pkp/pkp-lib/commit/a209f47e03d9391232a1c9d3641bb99b1b052e4f
Comment 88 Jason Nugent 2013-03-25 09:05:02 PDT
monograph file matches monograph policy to PKP-lib
https://github.com/pkp/omp/commit/a98a59a92b44b1b12c309ac23db32e8cc78c25fd
Comment 89 Jason Nugent 2013-03-25 11:15:02 PDT
continue refactor of access policy classes for submission files
https://github.com/pkp/pkp-lib/commit/8695cba8b8e2e184619a4b57d83e12dc561214e0
Comment 90 Jason Nugent 2013-03-25 11:15:02 PDT
refactor OMP to use PKP-lib policies for submission files
https://github.com/pkp/omp/commit/cab5ce4dab1e993d5e65b485bedd73e053cb9d57
Comment 91 Jason Nugent 2013-03-25 16:30:03 PDT
use PKP-lib file management handler
https://github.com/pkp/omp/commit/0a0f76e1b2e0936887c99be9e4f3b66d0d1b19d1
Comment 92 Jason Nugent 2013-03-25 16:30:03 PDT
more access policy refactoring
https://github.com/pkp/omp/commit/90a2495697eef4571580a49b7911ed54e5eec79f
Comment 93 Jason Nugent 2013-03-25 16:30:03 PDT
functionality to PKP-lib
https://github.com/pkp/omp/commit/0029ca0fbd47fc5a9ae3782461a420cfd15824ec
Comment 94 Jason Nugent 2013-03-25 16:30:03 PDT
move code to PKP-lib
https://github.com/pkp/pkp-lib/commit/288cb9a8f3414ba65115a6454bae0adf4297e980
Comment 95 Jason Nugent 2013-03-25 16:30:03 PDT
rename parent class, make more generic
https://github.com/pkp/pkp-lib/commit/08d3df482be1964fb1a833b4dd5b4a75083bf8f9
Comment 96 Jason Nugent 2013-03-25 16:30:03 PDT
access policies to PKP-lib
https://github.com/pkp/pkp-lib/commit/8ba6b2c406e66410c6ef93daa59b857afd6bf472
Comment 97 Jason Nugent 2013-03-26 07:20:04 PDT
add genre schema, default genres for journals
https://github.com/pkp/ojs/commit/cbb12a0626b19fe5ce28c0e69b02b6054f8dad28
Comment 98 Jason Nugent 2013-03-26 08:35:02 PDT
currentContext in templates, correct press references
https://github.com/pkp/pkp-lib/commit/9164e6312f2acc8454d9a73b752f1743eddcbcb6
Comment 99 Jason Nugent 2013-03-26 08:45:02 PDT
move monograph functionality for temporary files to PKP-lib
https://github.com/pkp/pkp-lib/commit/6a55d630791b7fc178faf0936874a871cb538dc9
Comment 100 Jason Nugent 2013-03-26 08:45:03 PDT
remove temporary file manager from OMP
https://github.com/pkp/omp/commit/a3d25dab1f5b006b9e82361c4e403b0b5f44515e
Comment 101 Jason Nugent 2013-03-26 11:30:02 PDT
use PKP-lib context, submission file managers
https://github.com/pkp/omp/commit/0a77632550964f559013f8fdc093a6a86a489930
Comment 102 Jason Nugent 2013-03-26 11:30:02 PDT
Port context, submission file handlers to PKP-lib
https://github.com/pkp/pkp-lib/commit/5f36d937646108269d8f5ce5cb10eda743a8a9ab
Comment 103 Jason Nugent 2013-03-26 14:35:02 PDT
port submission file methods to PKP-lib
https://github.com/pkp/pkp-lib/commit/6ada25ea3c43771a9d6fa59a0567689267ecd768
Comment 104 Jason Nugent 2013-03-27 04:15:03 PDT
use refactored PKP-lib file api handlers
https://github.com/pkp/omp/commit/d7193b6a1482d1b5d435f96751311b6308286d07
Comment 106 Jason Nugent 2013-03-27 04:40:02 PDT
Use PKP-lib views
https://github.com/pkp/omp/commit/cac8afb4636f72c27979b84b74baeea838148b2d
Comment 107 Jason Nugent 2013-03-27 07:45:02 PDT
migrate OMP submission file delegate functionality to PKP-lib
https://github.com/pkp/pkp-lib/commit/a7c3c7f53a255ea16c310b8361ff6ede6d61ed10
Comment 108 Jason Nugent 2013-03-27 07:45:02 PDT
remove functionality for submission file delgates moved to PKP-lib
https://github.com/pkp/omp/commit/87d5ba6ed207b0dda4ea3123d3fd73c29f5ac573
Comment 109 Jason Nugent 2013-03-27 07:50:03 PDT
introduce OJS submission file DAO, delegate
https://github.com/pkp/ojs/commit/b61b3bada8909148f053fcd205c8bc63863f026d
Comment 110 Jason Nugent 2013-03-27 07:50:03 PDT
add views schema to OJS
https://github.com/pkp/ojs/commit/59e6b3363ca388b11f75df3e078793d16f3d52d9
Comment 111 Jason Nugent 2013-03-27 09:45:02 PDT
port monograph file event logging to PKP-lib
https://github.com/pkp/pkp-lib/commit/d5355d1b3fe31b0ec6acf7cc0311eae1b391a510
Comment 112 Jason Nugent 2013-03-27 09:45:02 PDT
use ported submission file event logging from PKP-lib
https://github.com/pkp/omp/commit/5247718a3b64463e0f2c562780e993ffd74edccb
Comment 113 Jason Nugent 2013-03-27 10:55:01 PDT
refactor more logging functionality into PKP-lib
https://github.com/pkp/pkp-lib/commit/136f62127bcb32b6b76a63e903025cbc1d874e1d
Comment 114 Jason Nugent 2013-03-27 10:55:02 PDT
base information center handler to PKP-lib
https://github.com/pkp/pkp-lib/commit/57ab47b60aea8deca58e68e94913d273f4c5126c
Comment 115 Jason Nugent 2013-03-27 11:00:02 PDT
use PKP-lib information center base handler
https://github.com/pkp/omp/commit/1eff6f5736df4b2867bdcb15b0945d04ab9c3605
Comment 116 Jason Nugent 2013-03-27 11:05:02 PDT
use refactored submission logging
https://github.com/pkp/omp/commit/57fca6890c4b54a05dae26dc1d5ba44c13ebe272
Comment 117 Jason Nugent 2013-03-28 07:10:04 PDT
File informtion center to PKP-lib
https://github.com/pkp/pkp-lib/commit/002fb605a8ec5627b717dccf81fbc887a6baf52f
Comment 118 Jason Nugent 2013-03-28 07:15:02 PDT
use submission file signoff DAO
https://github.com/pkp/omp/commit/d174e4b0ea74c60e9bfbea7ea294ea9e96c5fac7
Comment 119 Jason Nugent 2013-03-28 07:15:02 PDT
use PKP-lib classes for file information center
https://github.com/pkp/omp/commit/9e6cb78ca63c38572ba683de1dba22fae2c8dff8
Comment 120 Jason Nugent 2013-03-28 07:15:02 PDT
use PKP-lib submission file signoff DAO
https://github.com/pkp/omp/commit/61a07562e520a05af1bfe0b8dcb43c569332129a
Comment 121 Jason Nugent 2013-03-28 07:15:02 PDT
use submission event log in PKP-lib
https://github.com/pkp/omp/commit/de6821945c8b27331dccc1e4e78bc921a398a3bf
Comment 122 Jason Nugent 2013-03-28 07:35:01 PDT
JS handlers for IC to PKP-lib
https://github.com/pkp/omp/commit/714761526edf33ade63d1f9e53bd7f6c82da7bbf
Comment 123 Jason Nugent 2013-03-28 07:40:02 PDT
JS Handlers to PKP-lib
https://github.com/pkp/pkp-lib/commit/9f5a318120ec75a4e0d0b63c7a9be2f1902ac87f
Comment 124 Jason Nugent 2013-03-28 09:15:02 PDT
use PKP-lib link actions
https://github.com/pkp/omp/commit/1fd8dd65e3ea407cce30621ec7c7ef67a9eafda9
Comment 125 Jason Nugent 2013-03-28 09:15:02 PDT
refactor out app-specific locale keys in link actions
https://github.com/pkp/pkp-lib/commit/a5e97afda3f821173935e2d0ad27c6d11c192622
Comment 127 Jason Nugent 2013-03-28 09:40:03 PDT
PKP-lib style logging to OJS
https://github.com/pkp/ojs/commit/ce28828aa7aeae162471fcad2730377a3a5fd118
Comment 128 Jason Nugent 2013-03-28 09:40:04 PDT
remove unused code, refactor classes
https://github.com/pkp/ojs/commit/61419ca57dd7bb14981157f17f14d39170f44933
Comment 129 Jason Nugent 2013-03-28 09:40:04 PDT
OJS file upload wizard subclasses
https://github.com/pkp/ojs/commit/504266646eca86d046f7173e50ba598f4bb9e2b7
Comment 130 Jason Nugent 2013-03-28 09:40:04 PDT
new security policies
https://github.com/pkp/ojs/commit/871bbf313852a0e89031abfa428b7b1228b705b8
Comment 131 Jason Nugent 2013-03-28 09:40:04 PDT
JS handlers to OJS
https://github.com/pkp/ojs/commit/6493ebccdacdcbfdb2aefe9d6a5b3f108db9ec47
Comment 132 Jason Nugent 2013-03-28 09:40:05 PDT
OJS information center notify form subclass
https://github.com/pkp/ojs/commit/02b8e0a89ff476aff526412d1874e56c10cbad70
Comment 133 Jason Nugent 2013-03-28 09:40:05 PDT
OJS file management handler subclass
https://github.com/pkp/ojs/commit/5549794580dda3bbaab4cfe1e4c8109a9798d4e1
Comment 134 Jason Nugent 2013-03-28 09:40:05 PDT
Submission files grid on OJS step 2 template
https://github.com/pkp/ojs/commit/2b5c3cd36d13209562d5c1f974f7167c99ebbcad
Comment 135 Jason Nugent 2013-04-04 07:00:04 PDT
introduce submission documents grid
https://github.com/pkp/ojs/commit/bbae6826a79bf9fb246f492997651065e9ec4cb3
Comment 136 Jason Nugent 2013-04-04 07:10:01 PDT
locale keys for submission documents to PKP-lib
https://github.com/pkp/omp/commit/ad0e7daceda1cbb0ecd1792b95a58723dcb17899
Comment 138 beghelli 2013-04-13 21:30:04 PDT
Fixed review round import
https://github.com/pkp/omp/commit/cccdbb7b9fe7674a8f5422b175a1f0976eb77062
Comment 140 Alec Smecher 2013-04-15 15:25:03 PDT
Move common code to PKP lib
https://github.com/pkp/pkp-lib/commit/fbbf7a62ad865c22f28d820e0b9d7b429df11134
Comment 141 Alec Smecher 2013-04-15 15:30:02 PDT
Submission handler to OJS
https://github.com/pkp/ojs/commit/79ef95dda8a4b4672fa306a9058a7a54e17846e8
Comment 142 Alec Smecher 2013-04-15 16:20:02 PDT
Submission form base class to PKP lib
https://github.com/pkp/pkp-lib/commit/7d7ca69cb507150ea4b2fed3929c50921048dcff
Comment 143 Alec Smecher 2013-04-15 16:20:02 PDT
Submission form base class to PKP lib
https://github.com/pkp/omp/commit/c2fb63489042b974e7072141a7baa55656bebd13
Comment 144 Jason Nugent 2013-04-16 04:45:04 PDT
fix base class import for journal file manager
https://github.com/pkp/ojs/commit/3335ebd4e589543485d25d2290c9c72dd188d5a7
Comment 145 Jason Nugent 2013-04-16 11:25:02 PDT
allow for differing file categories in press library grid
https://github.com/pkp/ojs/commit/1262011f6ad5c258b08a78e8e0ed9990c192a45e
Comment 146 Jason Nugent 2013-04-16 11:30:02 PDT
refactor for base class, app-specific imports
https://github.com/pkp/pkp-lib/commit/890830ff230160778708159f4ce848edc90b8412
Comment 147 Jason Nugent 2013-04-16 11:30:03 PDT
allow for differing file categories in press library grid
https://github.com/pkp/omp/commit/0fbcfec05b37dd6a3c9e2c0056e73d2e4d2c35b8
Comment 148 Alec Smecher 2013-04-17 14:15:02 PDT
Step 1 to shared
https://github.com/pkp/omp/commit/57a07b764d54fb97edae93fb26948c4b97415315
Comment 150 Alec Smecher 2013-04-17 14:35:02 PDT
Step 2 to shared
https://github.com/pkp/omp/commit/f3b0953cd86a2319b2ef177767fa8c0869c7275e
Comment 152 Alec Smecher 2013-04-17 15:30:02 PDT
Step 3 to shared
https://github.com/pkp/omp/commit/5618d9b8c741f01b7de1c0fc2c77e43eb13f6041
Comment 153 Alec Smecher 2013-04-17 15:35:02 PDT
Step 1 template to shared
https://github.com/pkp/pkp-lib/commit/1b3f0ea0ea4cfcc84690fa72defa1f330ebe70ec
Comment 154 Alec Smecher 2013-04-17 15:55:03 PDT
Step 2 template to shared
https://github.com/pkp/omp/commit/8c5af174353444c127b83da37f42b44304b84c83
Comment 155 Alec Smecher 2013-04-17 15:55:03 PDT
Step 2 template to shared
https://github.com/pkp/pkp-lib/commit/bf260832a857db6007fff7f8c323f4a79c3c03c5
Comment 156 Jason Nugent 2013-04-18 06:45:06 PDT
migration path for article files
https://github.com/pkp/ojs/commit/a3a88fab580131a422d49a2af178d0f94dd06562
Comment 157 Jason Nugent 2013-04-18 06:45:06 PDT
provide OJS-specific file naming mechanism
https://github.com/pkp/ojs/commit/03d08a564ddfd54c3cdbbf91a0ce01ba0f54fec6
Comment 158 Alec Smecher 2013-04-18 10:25:02 PDT
Step 3 template to shared
https://github.com/pkp/pkp-lib/commit/999f1c8ca9bd95fdf8a7a6c1449305929dcf452e
Comment 159 Alec Smecher 2013-04-18 10:25:02 PDT
Step 3 template to shared
https://github.com/pkp/omp/commit/88ac8bd1eb725a75bb21ea3698eaa783432ad3f8
Comment 160 Alec Smecher 2013-04-18 10:55:03 PDT
Submission scaffolding to PKP lib
https://github.com/pkp/omp/commit/e950a3f800ee2ad85eb6934565a39aa7138ca7b1
Comment 161 Alec Smecher 2013-04-18 10:55:03 PDT
Submission scaffolding to PKP lib
https://github.com/pkp/pkp-lib/commit/3db747b7e6125d4798b1fca2df7080092afa75c5
Comment 162 Alec Smecher 2013-04-18 11:35:03 PDT
Submission JS to PKP lib
https://github.com/pkp/pkp-lib/commit/ba058fab683ca5e03c2dd256bc4bffa0da0f31a6
Comment 163 Alec Smecher 2013-04-18 11:35:03 PDT
Submission JS to PKP lib
https://github.com/pkp/omp/commit/ddb11382a11838374e939fd4952a62dc38f375d2
Comment 164 Alec Smecher 2013-04-18 12:05:03 PDT
Submission step 1 porting continues
https://github.com/pkp/ojs/commit/f7f93dfbb6361957f3701023b10ea9a5b7131bdc
Comment 165 Alec Smecher 2013-04-18 12:10:03 PDT
Submission step 1 porting continues
https://github.com/pkp/pkp-lib/commit/0097ab71d81a50ada33ac3e0bf54382441c8a217
Comment 166 Alec Smecher 2013-04-18 13:40:05 PDT
Submission step 1 porting continues
https://github.com/pkp/omp/commit/0b0175e66124bff9a8c5eba8ba165e2c1620fc6b
Comment 167 Alec Smecher 2013-04-18 13:40:05 PDT
Submission step 1 porting continues
https://github.com/pkp/pkp-lib/commit/5c2008681bda7e27f33c42cc4d365bf0b8546c94
Comment 168 Alec Smecher 2013-04-18 14:10:02 PDT
Submission process continued; various minor fixes
https://github.com/pkp/ojs/commit/1e33b985d6be3c6885eea8e60d1d526badcb07a6
Comment 170 Alec Smecher 2013-04-18 16:05:03 PDT
Submission to PKP lib
https://github.com/pkp/omp/commit/a3479d73b1c09a442180293fa927fca23d7802d2
Comment 171 Alec Smecher 2013-04-18 16:05:05 PDT
Submission to PKP lib
https://github.com/pkp/pkp-lib/commit/55ee316481d042bc28a0f0f0a330fc8fe530b2d8
Comment 172 Alec Smecher 2013-04-19 09:45:02 PDT
Common locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/8d417d2aa3b6340e5ffc735851f8bce317466562
Comment 173 Alec Smecher 2013-04-19 09:45:02 PDT
Common locale keys to PKP lib
https://github.com/pkp/omp/commit/d6c51468f6a41d86a2f3a6f9357b634bf14b6b48
Comment 175 Alec Smecher 2013-04-19 10:30:04 PDT
OMP leakage into PKP lib
https://github.com/pkp/pkp-lib/commit/a360005713ec497edeb1e3bc658085433e9e0449
Comment 176 Alec Smecher 2013-04-19 10:45:02 PDT
OMP leakage into PKP lib
https://github.com/pkp/pkp-lib/commit/1a7d782db9055b36cb4de25defc78429b8b842d9
Comment 177 Jason Nugent 2013-04-22 09:10:04 PDT
remove author code from metadata form, fix storage of controlled vocab fields
https://github.com/pkp/ojs/commit/abeff3c586eafdf9a43a8f7bd08c8f3d87de5fff
Comment 178 Alec Smecher 2013-04-22 16:50:03 PDT
ASSOC_TYPE_MONOGRAPH to ASSOC_TYPE_SUBMISSION
https://github.com/pkp/omp/commit/ee16a5bb099ff3e38a0491aaeef271084062eb38
Comment 179 Alec Smecher 2013-04-22 16:55:02 PDT
Make suitable for PKP lib
https://github.com/pkp/omp/commit/5c8218f6d83464809d8794592954ae89a5d45714
Comment 180 Alec Smecher 2013-04-22 17:00:03 PDT
Make suitable for PKP lib
https://github.com/pkp/omp/commit/9cd9f0e6b3b1ab0530f39f0785a84164d2958d5e
Comment 181 Alec Smecher 2013-04-22 17:10:04 PDT
Share delegated notification managers
https://github.com/pkp/omp/commit/ede8fabd0aeae4cb5736b1b66bf4f967e740fc5c
Comment 182 Alec Smecher 2013-04-22 17:10:05 PDT
Share delegated notification managers
https://github.com/pkp/pkp-lib/commit/886f4103e82353fe42a914735c6a20f09e5bc0d9
Comment 183 Alec Smecher 2013-04-22 17:15:03 PDT
Notification types to PKP lib
https://github.com/pkp/omp/commit/9531759aa8a5e3a04851369174d8ab9b485a678e
Comment 184 Alec Smecher 2013-04-22 17:15:04 PDT
Notification types to PKP lib
https://github.com/pkp/pkp-lib/commit/2b139be70246f71965a3520e8a57ac31d7de5553
Comment 185 Alec Smecher 2013-04-22 17:25:02 PDT
Notification work from OMP
https://github.com/pkp/ojs/commit/dac6443fba060626d605fa894802ab88596b4184
Comment 186 Jason Nugent 2013-04-23 05:40:04 PDT
locale keys to PKP-lib
https://github.com/pkp/omp/commit/ce4b8a18d65f987e15cab17b421da57fa8c850a7
Comment 187 Jason Nugent 2013-04-23 05:45:04 PDT
submission locale keys from OMP
https://github.com/pkp/pkp-lib/commit/f1de4ee85b51dd97f6dbaf804ebe7d6e3cd08a12
Comment 188 Alec Smecher 2013-04-23 07:15:03 PDT
Forgotten commits
https://github.com/pkp/ojs/commit/21eb41dc0654d5fafec9893f58b699c47a78e601
Comment 189 Jason Nugent 2013-04-23 08:00:07 PDT
use correct assoc type, remove monograph references
https://github.com/pkp/pkp-lib/commit/383c8ec31e619223ff47c89e287ee859d4051a08
Comment 190 Alec Smecher 2013-04-24 14:45:03 PDT
Added concrete notification class for OJS
https://github.com/pkp/ojs/commit/10c6cec53900f470b84c04929d231d39299aff06
Comment 191 Alec Smecher 2013-04-24 15:20:03 PDT
Remove internal round notification stuff from PKP lib
https://github.com/pkp/pkp-lib/commit/a1f289ff2e9900b01831b1bb85f7ef552549e364
Comment 193 Alec Smecher 2013-04-24 15:20:03 PDT
Remove internal round notification stuff from PKP lib
https://github.com/pkp/omp/commit/2810b51aa7d2ca2c2dcd3d38ef5ccfdb91aec650
Comment 194 Alec Smecher 2013-04-24 15:35:02 PDT
Editor decisions to PKP lib
https://github.com/pkp/pkp-lib/commit/f23cfee6b0314cec295a091408d3f9efa21deb3c
Comment 195 Alec Smecher 2013-04-24 15:35:02 PDT
Editor decisions to PKP lib
https://github.com/pkp/omp/commit/ecbd1f68652ca8c0bd9a66e52f236d807d0b5268
Comment 196 Alec Smecher 2013-04-24 15:45:02 PDT
Editor decisions to PKP lib
https://github.com/pkp/ojs/commit/3d93479948ad93d50b53cbcf75f6c27c39f1e87e
Comment 197 Alec Smecher 2013-04-24 16:00:38 PDT
*** Bug 6455 has been marked as a duplicate of this bug. ***
Comment 198 Alec Smecher 2013-04-24 16:20:03 PDT
Edit decisions into PKP lib
https://github.com/pkp/pkp-lib/commit/e9fabcaed339e61deb60e001022ea96a3ea4132e
Comment 199 Alec Smecher 2013-04-24 16:25:02 PDT
Edit decisions into PKP lib
https://github.com/pkp/omp/commit/f977adfc6b06a2a7eec5021af27ab1ebf5c77947
Comment 201 Alec Smecher 2013-04-24 16:45:02 PDT
Cleanup after edit decision move
https://github.com/pkp/ojs/commit/acd8ac0099db5dad134dce92aa98088d6ad9cce6
Comment 202 Jason Nugent 2013-04-25 07:35:03 PDT
remove reliance on file genres for submission files
https://github.com/pkp/ojs/commit/3d362abe96e3a560b4c7a009fe6292fe84d41a18
Comment 203 Jason Nugent 2013-04-25 07:35:03 PDT
make submission file genres optional
https://github.com/pkp/pkp-lib/commit/8c061be8ab30e2022be898245d89de08fcf94f88
Comment 204 Jason Nugent 2013-04-25 09:35:03 PDT
revert: make submission file genres optional
https://github.com/pkp/pkp-lib/commit/b9b32cc327cbb55ca826c6693340d907be71036a
Comment 205 Alec Smecher 2013-04-25 11:15:02 PDT
Fix OMP missing submission fetch
https://github.com/pkp/omp/commit/4e77d33d6b09d8f8f0ce7fe3ee479b73dc5f21e7
Comment 206 Jason Nugent 2013-04-25 11:30:02 PDT
Genres grid from OMP
https://github.com/pkp/pkp-lib/commit/891551701b580f62314d10a1501f3327a18b3ecb
Comment 207 Jason Nugent 2013-04-25 11:30:02 PDT
use PKP-lib genres grid
https://github.com/pkp/omp/commit/40139d4bee39deb1241b9e30ecfdc2d913f68aa9
Comment 208 Alec Smecher 2013-04-25 11:45:02 PDT
Views table to installer/upgrader
https://github.com/pkp/ojs/commit/2c99398910158c773fa180840bf9254cbe871bc8
Comment 209 Jason Nugent 2013-04-25 12:00:02 PDT
missing locale keys
https://github.com/pkp/pkp-lib/commit/bfa932dff4742b8c158d212356e37d3092fc864c
Comment 210 Jason Nugent 2013-04-25 12:05:01 PDT
move locale keys
https://github.com/pkp/omp/commit/070142c70d37bd510411fbc1b88cf7fa9a03b677
Comment 211 Jason Nugent 2013-04-25 12:25:02 PDT
provide locale keys for default genres
https://github.com/pkp/ojs/commit/48e20daeeb925cfa65f6e06afa114974ecb77c6b
Comment 216 Alec Smecher 2013-04-25 16:33:55 PDT
Closing in favour of more specific entries.
Comment 217 Alec Smecher 2013-04-26 14:05:02 PDT
Forgotten commit
https://github.com/pkp/ojs/commit/9c800f76f5a7e2d52b27f8582e42f70eac186963
Comment 218 Alec Smecher 2013-04-26 14:05:02 PDT
Abstract metadata form implementation
https://github.com/pkp/omp/commit/8de5c311cc864f4525638ee9a3f8833af41065b4
Comment 219 Alec Smecher 2013-04-26 14:05:02 PDT
Abstract metadata form implementation
https://github.com/pkp/pkp-lib/commit/93ca8b57bcd3be84ba33bded0d7b832a161be77e
Comment 220 Alec Smecher 2013-04-26 14:15:02 PDT
Remove old author submission process
https://github.com/pkp/ojs/commit/bc24850e6097a23a7d432ef0848e74606f28762d
Comment 221 Jason Nugent 2013-05-01 09:15:02 PDT
refactor and remove app-specific subclass
https://github.com/pkp/pkp-lib/commit/dc6b148cf10dea9c125a75e331ec932a493dd592
Comment 223 Alec Smecher 2013-05-06 13:50:02 PDT
Locale keys to PKP lib
https://github.com/pkp/pkp-lib/commit/08f78f2f1cb78bb2fdb7e6be5b03b9c6475dca24
Comment 224 Alec Smecher 2013-05-06 13:55:02 PDT
Locale keys to PKP lib
https://github.com/pkp/ojs/commit/656623ca9e0505a6f78b463e6ecaac59bfe50ef2
Comment 225 Jason Nugent 2013-05-29 10:48:03 PDT
use table rename for submission files migration
https://github.com/pkp/ojs/commit/9b69a34f39c75f45b813e3564455e79370c3d354
Comment 226 Jason Nugent 2013-10-07 10:34:29 PDT
*** Bug 6337 has been marked as a duplicate of this bug. ***
Comment 227 beghelli 2014-02-28 12:59:02 PST
Fixed missing stage in proof files grid row action
https://github.com/pkp/pkp-lib/commit/6cf9d2b9a7a3ec6ace0826c2e577ef5292223249
Comment 228 beghelli 2014-02-28 12:59:02 PST
Fixed missing stage in proof files grid row action
https://github.com/pkp/pkp-lib/commit/374aac9e3fdb970d654e214305f95b49ee9b389d
Comment 229 beghelli 2014-03-03 17:32:07 PST
Fixed missing stage in proof files grid row action
https://github.com/pkp/pkp-lib/commit/6cf9d2b9a7a3ec6ace0826c2e577ef5292223249
Comment 230 Jason Nugent 2014-03-06 06:57:03 PST
fix fetch of context object
https://github.com/pkp/ojs/commit/deeb4d120dfbd7b797ca5572f94f9a9dd765b954
Comment 231 Alec Smecher 2014-05-09 07:24:02 PDT
Pull request opened (not merged):
rename function for consistency
https://github.com/pkp/pkp-lib/pull/87
Comment 232 Alec Smecher 2014-05-09 07:27:02 PDT
Pull request opened (not merged):
rename function for consistency
https://github.com/pkp/pkp-lib/pull/88
Comment 233 Alec Smecher 2014-05-09 09:29:46 PDT
Jason, don't forget to assign this to the next person on the rota document when you're ready for a review/merge. (And re-open the bug so it doesn't get forgotten!)
Comment 234 Alec Smecher 2014-05-12 07:36:03 PDT
Pull request synchronize (not merged):
rename function for consistency
https://github.com/pkp/pkp-lib/pull/88
Comment 235 Alec Smecher 2014-05-12 07:40:03 PDT
Pull request closed (not merged):
rename function for consistency
https://github.com/pkp/pkp-lib/pull/88
Comment 236 Alec Smecher 2014-05-12 10:43:11 PDT
Pull request closed (merged):
rename function for consistency
https://github.com/pkp/pkp-lib/pull/87
Comment 237 Jason Nugent 2014-05-12 10:43:11 PDT
rename function for consistency
https://github.com/pkp/pkp-lib/commit/317f8a1633fe091353865e631e58942d14829b19
Comment 238 Jason Nugent 2014-05-12 12:10:02 PDT
rename function for consistency
https://github.com/pkp/pkp-lib/commit/77c9574efbabac97061552b2a71ba155a535572b